Bug 242468 - x11-wm/piewm: [MAINTAINER] unbreak, make fetchable
Summary: x11-wm/piewm: [MAINTAINER] unbreak, make fetchable
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2019-12-06 00:54 UTC by david
Modified: 2019-12-09 13:49 UTC (History)
2 users (show)

See Also:


Attachments
Patch to x11-wm/piewm/Makefile to make piewm fetchable (540 bytes, patch)
2019-12-06 00:54 UTC, david
no flags Details | Diff
Revised Makefile patch (508 bytes, patch)
2019-12-09 02:01 UTC, david
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description david 2019-12-06 00:54:43 UTC
Created attachment 209746 [details]
Patch to x11-wm/piewm/Makefile to make piewm fetchable

Since I use the port, I have an interest in making it available.  (I am also the maintainer.)

I had subscribed to piewm@crynwr.com on 18 Jan 2013, but there was no traffic, and email (back then) had no response.

Anyway, I have verified that both sources work, and have attached a Makefile patch accordingly.
Comment 1 Automation User 2019-12-06 01:07:40 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/101063404
Comment 2 Koichiro Iwao freebsd_committer 2019-12-09 01:50:07 UTC
people.freebsd.org (freefall.freebsd.org:~/public_distfiles) is not the place to put copy of distfiles. 

https://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/slow-sources.html
Comment 3 david 2019-12-09 02:01:06 UTC
Created attachment 209796 [details]
Revised Makefile patch

Per "people.freebsd.org (freefall.freebsd.org:~/public_distfiles) is not the place to put copy of distfiles."
Comment 4 commit-hook freebsd_committer 2019-12-09 13:47:25 UTC
A commit references this bug:

Author: swills
Date: Mon Dec  9 13:47:16 UTC 2019
New revision: 519608
URL: https://svnweb.freebsd.org/changeset/ports/519608

Log:
  x11-wm/piewm: unbreak, make fetchable

  PR:		242468
  Submitted by:	david@catwhisker.org (maintainer)

Changes:
  head/x11-wm/piewm/Makefile
Comment 5 Steve Wills freebsd_committer 2019-12-09 13:49:08 UTC
Committed, thanks!